Package org.apache.storm.jms.example

## Class ExampleJmsTopology

- java.lang.Object
- - org.apache.storm.jms.example.ExampleJmsTopology

-     public class ExampleJmsTopology
      extends Object

  An example JMS topology.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ANOTHER_BOLT` |
    `static String` | `FINAL_BOLT` |
    `static String` | `INTERMEDIATE_BOLT` |
    `static String` | `JMS_QUEUE_SPOUT` |
    `static String` | `JMS_TOPIC_BOLT` |
    `static String` | `JMS_TOPIC_SPOUT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExampleJmsTopology()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` | The main method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JMS_QUEUE_SPOUT

          public static final String JMS_QUEUE_SPOUT

      See Also:
        Constant Field Values

    - #### INTERMEDIATE_BOLT

          public static final String INTERMEDIATE_BOLT

      See Also:
        Constant Field Values

    - #### FINAL_BOLT

          public static final String FINAL_BOLT

      See Also:
        Constant Field Values

    - #### JMS_TOPIC_BOLT

          public static final String JMS_TOPIC_BOLT

      See Also:
        Constant Field Values

    - #### JMS_TOPIC_SPOUT

          public static final String JMS_TOPIC_SPOUT

      See Also:
        Constant Field Values

    - #### ANOTHER_BOLT

          public static final String ANOTHER_BOLT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExampleJmsTopology

          public ExampleJmsTopology()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      The main method.
      Parameters:
        `args` - takes the topology name as first argument
      Throws:
        `Exception` - any expection occuring durch cluster setup or operation